# Table of Contents - poppler-3.1.8 Documentation

## Pages

- Makefile
- depend
- poppler.def
- ruby-poppler.pc

## Classes and Modules

- Cairo
- Cairo::Context
- GLib
- Poppler
- Poppler::ChoiceField
- Poppler::Document
- Poppler::TextField
- Poppler::Version

## Methods

- ::or_later? — Poppler::Version
- #combo? — Poppler::ChoiceField
- #ensure_uri — Poppler::Document
- #file_select? — Poppler::TextField
- #list? — Poppler::ChoiceField
- #multiline? — Poppler::TextField
- #normal? — Poppler::TextField
- #pdf_data? — Poppler::Document
- #render_poppler_page — Cairo::Context
- #render_poppler_page_selection — Cairo::Context